/* app.component Footer's style sheet - part of app.component.css */

:host {
  /*Use to indicate to the controller whether the treeList should be collapsed and made toggleable,
  or displayed as is; default value is true*/
  --footer-collapse-true: true;
  --footer-collapse-false: false;
  --isCollapsingFooter: var(--footer-collapse-true);
}

footer {
  /*#006ab5*/
  background-color: #1976D2;
  color: white;
}

footer ul {
  list-style-type: none; /*Remove bullet points from all footer ul*/
}

#footer-social-ul {
  display: flex;
  justify-content: center;
  column-gap: 16px; /*To prevent accidentally clicking on another item*/
}

svg {
  fill: white;
}

.acc-benefit-svg {
  fill: var(--primary-colour800);
}

#ft-contact-ul {
  width: 100%;
}

.ft-contact-li {
  display: flex;
  flex-wrap: wrap;
  align-items: center;
}

.ft-contact-li mat-icon {
  width: 16px; /*Set with to size of svg so that extra horizontal padding is to present*/
  min-height: var(--ft-contact-icon-dimen);
  padding-top: 8px;
  padding-bottom: 8px;
  margin-right: 12px; /*clearance betwixt icon and text*/
}

.ft-contact-li span {
  line-height: 20px; /*Spacing between wrapped text, set heuristically to svg icon size*/
  width: calc(100% - var(--ft-contact-icon-dimen)); /*has the effect of wrapping span to leftover width*/
}

.ft-contact-number {
  display: inline-block; /*wrap-content*/
}

.ft-contact-num-0 {
  border-right: 1px solid;
  /*region Demarcation vertical border*/
  /*padding and margin use makes border on element0 appear centred, will work as long as is same backdrop colour*/
  padding-right: 12px;
  margin-right: 12px
  /*endregion*/
}

.ft-contact-num-1 {
  /*Matching height of text tag, with icon, has the effect of providing
  padding @ <300 when wrapped on new line*/
  min-height: var(--ft-contact-icon-dimen);
}

#footer-social-desc {
  padding-left: 16px;
  padding-right: 16px;
  text-align: center;
  /*border-top: solid;*/
}

ul[id="footer-social-ul"] {
  padding: 12px 12px 0; /*illusion of btm padding handled as part of parent container*/
}

.footer-social-li {
  display: flex;
  justify-content: center;
  align-items: center;
  min-width: 36px;
  min-height: 36px;
  padding: 8px;
}

.tree-header {
  display: flex;
  align-items: center;
  justify-content: space-between;
  padding-top: 8px;
}

.tree-list {
  padding-left: 12px;
  transition: all 200ms ease-in-out;
}

@media screen and (min-width: 551px) {
  .tree-header-icon {
    display: none;
  }

  :host {
    --isCollapsingFooter: var(--footer-collapse-false) !important;
  }

  #footer-tree-ul {
    display: grid;
  }
}

@media screen and (min-width: 551px) and (max-width: 900px) {
  #footer-tree-ul {
    grid-template-columns: repeat(2, 45%);
    grid-column-gap: 10%;
  }

  #footer-tree-ul > li:nth-child(1) {
    /*"Need help?" Item*/
    grid-row: 1/3;
    grid-column: 1;
  }
}

@media screen and (min-width: 901px) {
  /*Serves as an independent grid spanning window width, upto @1101px, below, where it
  takes up around 70% within a parent grid spanning window width*/
  #footer-tree-ul {
    grid-template-columns: repeat(3, 30%);
    grid-column-gap: 5%;
  }
}

@media screen and (min-width: 1101px) {
  #footer-coloured-wrapper {
    display: grid;
    grid-template-columns: 25% auto;
    grid-column-gap: 5%;
  }

  #footer-coloured-wrapper > :nth-child(3) {
    /*Social media section;
    span the auto placed telephone/address and FootTree sections*/
    grid-row: 2;
    grid-column: 1/3;
  }

  #footer-social-wrapper {
    /* Draws footer's sections demarcation line when displaying:
    Telephone/Address    |   Footer information tree
    ----------------------------------------------------
    Social media
  */
    border-top: solid 1px white;

    /*padding and margin use makes top border appear centred, will work as long as is same backdrop colour*/
    padding-top: var(--mobile-footer-thematic-br-pad);
    margin-top: var(--mobile-footer-thematic-br-pad);
  }

}

@media screen and (max-width: 1100px) {
  /* Draws footer's sections demarcation line when displaying:
  Telephone/Address
  --------------------------
  Footer information tree
  --------------------------
  Social media
  */
  #footer-coloured-wrapper ul:not(:last-child) {
    border-bottom: solid 1px white;

    /*padding and margin use makes btm border appear centred, will work as long as is same backdrop colour*/
    padding-bottom: var(--mobile-footer-thematic-br-pad);
    margin-bottom: var(--mobile-footer-thematic-br-pad);
  }
}

.hide-list {
  /*display: block;*/
  visibility: hidden;
  max-height: 0;
}

.show-list {
  /*display: none;*/
  visibility: visible;
  max-height: 100%;
}
